/*   Test.rexx			*/


signal on ERROR
signal on BREAK_C


parse source type res called resolved ext host

say "Invoked as:   " || type

if res==1 then say "Result wanted"
else say "No result requested"

say "Called as:    " || called
say "Resolved as:  " || resolved
say "Extension:    " || ext
say "Host Address: " || host


say "There are " || arg() || " arguments."

do i=1 to arg()
	say "Arg " || i || " is " || arg(i)
end

parse arg aline
say "The Argument Line is: " || aline

options results
say "Results are requested"

address "MYREXX_TEST_#1"
say "Address set to" || address()

say

trace ?r

say "Let's go!  Now in trace mode.  Hit a CR on an empty line or" ,
|| "type  exit  to quit."


exit 0



/*------------------------------------------------------------------*/

break_c:

say "*** Control-C recieved.  Stopped by user. ***"
exit 5

/*------------------------------------------------------------------*/

error:

say "Error"
exit 6

/*------------------------------------------------------------------*/

